import CJS_COMPAT_NODE_URL_f8upj02irqh from 'node:url';
import CJS_COMPAT_NODE_PATH_f8upj02irqh from 'node:path';
import CJS_COMPAT_NODE_MODULE_f8upj02irqh from "node:module";

var __filename = CJS_COMPAT_NODE_URL_f8upj02irqh.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_f8upj02irqh.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_f8upj02irqh.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  any
} from "./chunk-OTNZ3BJE.js";

// src/cli/detect.ts
async function detectPnp() {
  return !!any([".pnp.js", ".pnp.cjs"]);
}

export {
  detectPnp
};
